/// <reference types="react" />
import type { FlexProps } from "./flex";
export interface AlertProps extends FlexProps {
    type?: "info" | "success" | "error" | "warning";
    message?: React.ReactNode;
    icon?: React.ReactNode;
    banner?: boolean;
    closable?: boolean;
    onClose?: (event: React.MouseEvent) => void;
}
export declare const Alert: import("react").ForwardRefExoticComponent<AlertProps & import("react").RefAttributes<HTMLDivElement>>;
