/// <reference types="react" />
import type { PopoverProps } from "./popover";
import type { ButtonProps } from "./button";
export interface PopconfirmProps extends PopoverProps {
    title: React.ReactNode;
    disabled?: boolean;
    onConfirm?: (e?: React.MouseEvent) => void;
    onCancel?: (e?: React.MouseEvent) => void;
    okVariant?: ButtonProps["variant"];
    okText?: React.ReactNode;
    cancelText?: React.ReactNode;
    icon?: React.ReactNode;
    autoFocus?: boolean;
    restoreFocus?: boolean;
    initialFocusRef?: React.RefObject<any>;
    finalFocusRef?: React.RefObject<any>;
}
export declare const Popconfirm: import("react").ForwardRefExoticComponent<PopconfirmProps & import("react").RefAttributes<HTMLDivElement>>;
