/// <reference types="react" />
import type { BoxProps } from "./box";
export interface TagProps extends BoxProps {
    color: string;
    visible?: boolean;
    closable?: boolean;
    onClose?: (event: React.MouseEvent) => void;
    children?: React.ReactNode;
}
export declare const Tag: import("react").ForwardRefExoticComponent<TagProps & import("react").RefAttributes<HTMLDivElement>>;
