/// <reference types="react" />
import type { BoxProps } from "./box";
import type { FloaterProps } from "./floater";
export interface TooltipProps extends BoxProps {
    title?: React.ReactNode;
    placement?: FloaterProps["placement"];
    mouseEnterDelay?: number;
    mouseLeaveDelay?: number;
    onOpen?: () => void;
    onClose?: () => void;
    children?: React.ReactNode;
}
export declare const Tooltip: import("react").ForwardRefExoticComponent<TooltipProps & import("react").RefAttributes<HTMLDivElement>>;
