import { useStorage } from "./use-storage";

/**
 * Uses state that syncs with local storage.
 */
export function useLocalStorage(key, initialState) {
  return useStorage(window.localStorage, key, initialState);
}