/// <reference types="react" />
import type { BoxProps } from "./box";
export interface ButtonProps extends Omit<React.ButtonHTMLAttributes<HTMLButtonElement>, "color">, BoxProps {
    size?: "sm" | "md" | "lg";
    variant?: "default" | "primary" | "danger" | "dash" | "text" | "link";
    isLoading?: boolean;
}
export declare const Button: import("react").ForwardRefExoticComponent<ButtonProps & import("react").RefAttributes<HTMLButtonElement>>;
