/// <reference types="react" />
import type { MarginProps, LayoutProps } from "styled-system";
export interface ColorSwatchProps extends React.HTMLAttributes<HTMLSpanElement>, MarginProps, LayoutProps {
    color?: string;
    size?: number;
    primary?: boolean;
    secondary?: boolean;
}
export declare const ColorSwatch: import("react").MemoExoticComponent<import("react").ForwardRefExoticComponent<ColorSwatchProps & import("react").RefAttributes<HTMLSpanElement>>>;
