import { system } from "styled-system";
import styled from "styled-components";
import { Box } from "./box";
const flex = system({
  align: {
    property: "alignItems"
  },
  basis: {
    property: "flexBasis"
  },
  direction: {
    property: "flexDirection"
  },
  grow: {
    property: "flexGrow"
  },
  justify: {
    property: "justifyContent"
  },
  shrink: {
    property: "flexShrink"
  },
  wrap: {
    property: "flexWrap"
  }
});
export const Flex = styled(Box).withConfig({
  displayName: "flex__Flex",
  componentId: "sc-1sfb6m2-0"
})(["display:", ";", ""], p => p.inline ? "inline-flex" : "flex", flex);
if (process.env.NODE_ENV !== "production") {
  Flex.displayName = "Flex";
}