import type * as CSS from "csstype";
import type { ResponsiveValue } from "styled-system";
import type { BoxProps } from "./box";
export interface GridProps extends BoxProps {
    flow?: ResponsiveValue<CSS.Property.GridAutoFlow>;
    columns?: ResponsiveValue<CSS.Property.GridTemplateColumns | number>;
    rows?: ResponsiveValue<CSS.Property.GridTemplateRows | number>;
    autoColumns?: ResponsiveValue<CSS.Property.GridAutoColumns>;
    autoRows?: ResponsiveValue<CSS.Property.GridAutoRows>;
    areas?: ResponsiveValue<CSS.Property.GridTemplateAreas>;
}
export declare const Grid: import("styled-components").StyledComponent<"div", any, BoxProps & GridProps, never>;
