/// <reference types="react" />
export interface NumberInputProps {
    value?: any;
    defaultValue?: any;
    onChange?: (val: number, valStr: string) => void;
    onFocus?: (event: React.FocusEvent) => void;
    onBlur?: (event: React.FocusEvent) => void;
    onKeyDown?: (event: React.KeyboardEvent) => void;
    onDragChange?: (drag: boolean) => void;
    min?: number;
    max?: number;
    step?: number;
    precision?: number;
    suffix?: React.ReactNode;
    isInvalid?: boolean;
    readOnly?: boolean;
    disabled?: boolean;
    className?: string;
}
export declare const NumberInput: import("react").ForwardRefExoticComponent<NumberInputProps & import("react").RefAttributes<HTMLInputElement>>;
