/// <reference types="react" />
import type { InputProps } from "./input";
type SelectOption = {
    value: any;
    label: string;
    children?: React.ReactNode;
};
export interface SelectProps extends InputProps {
    options?: SelectOption[];
    onChange?: (value: any) => void;
    onOpen?: () => void;
    onClose?: () => void;
}
export declare const Select: import("react").ForwardRefExoticComponent<SelectProps & import("react").RefAttributes<HTMLInputElement>>;
export {};
