import styled from "styled-components";
export const VisuallyHidden = styled.span.withConfig({
  displayName: "visually-hidden__VisuallyHidden",
  componentId: "sc-ty6okd-0"
})(["border:0;clip:rect(0 0 0 0);height:1px;width:1px;padding:0;overflow:hidden;position:absolute;white-space:nowrap;word-wrap:normal;"]);
if (process.env.NODE_ENV !== "production") {
  VisuallyHidden.displayName = "VisuallyHidden";
}