/**
 * Uses a debounced function that delays invoking the callback until after `wait` milliseconds have elapsed since the
 * last time the debounced function was invoked.
 */
export declare function useDebounceCallback<T extends (...args: any[]) => any>(callback: T, wait: number, leading?: boolean): T;
