/**
 * Uses fullscreen state for a given element.
 */
export declare function useFullscreen(el?: HTMLElement): {
    isSupported: boolean;
    isFullscreen: boolean;
    enter: () => Promise<void>;
    exit: () => Promise<void>;
    toggle: () => Promise<void>;
};
